local addon, ns = ...

local bar = G13XPBar
bar:SetSize(1025, 10)

RegisterStateDriver(bar, "visibility", "[petbattle] hide; [vehicleui] hide; show")

local WatchBars = {
	MainMenuExpBar
}

for _, v in pairs(WatchBars) do
	v:SetParent(bar)
	v:ClearAllPoints()
	v:SetPoint("CENTER", bar, 0, 0)
end

--[[ReputationWatchBar.StatusBar:ClearAllPoints()
ReputationWatchBar.StatusBar:SetAllPoints(ReputationWatchBar)
ReputationWatchBar.OverlayFrame:ClearAllPoints()
ReputationWatchBar.OverlayFrame:SetAllPoints(ReputationWatchBar)
ArtifactWatchBar.StatusBar:ClearAllPoints()
ArtifactWatchBar.StatusBar:SetAllPoints(ArtifactWatchBar)
ArtifactWatchBar.OverlayFrame:ClearAllPoints()
ArtifactWatchBar.OverlayFrame:SetAllPoints(ArtifactWatchBar)
HonorWatchBar.StatusBar:ClearAllPoints()
--]]



--[[
--The "flag" hack below prevents infinite recursive calls to the functions. 
--Do NOT remove it.
hooksecurefunc(ReputationWatchBar, "SetPoint", function(self, _, _, _, _, _, flag)
	if flag~="G13BarManager" then
		self:ClearAllPoints()
		self:SetPoint("CENTER", bar, "CENTER", 0, 0, "G13BarManager")
	end
end)

hooksecurefunc(ArtifactWatchBar,"SetPoint",function(self, _, _, _, _, _, flag)
	if flag~="G13BarManager" then
		self:ClearAllPoints()
		self:SetPoint("CENTER", bar, "CENTER", 0, 0, "G13BarManager")
	end
end)
]]--
hooksecurefunc(StatusTrackingBarManager,"SetPoint",function(self, _, _, _, _, _, flag)
	if flag~="G13BarManager" then
		self:ClearAllPoints()
		self:SetPoint("CENTER", bar, "CENTER", 0, 0, "G13BarManager")
	end
end)
